
using XF.Domain.Repository;

namespace Hotline.CallCenter.Calls
{
    public interface ICallRepository : IRepository<Call>
    {
        /// <summary>
        /// 查询部分通话记录（按时间查询后10条)
        /// </summary>
        /// <returns></returns>
        Task<IReadOnlyList<Call>> QueryPartAsync(DateTime datetime);

        Task<Call> GetLastLOCall(string cpn, string cdpn);
    }
}
